package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/RemoveNullElementAction.class */
public class RemoveNullElementAction extends LifeAction {
    private String list1;
    private String list2;
    private String params;

    public String execute(Context context) throws GENEException {
        try {
            IndexedCollection icoll = context.getDataElement(this.list1);
            IndexedCollection icolln = context.getDataElement(this.list2);
            if (icoll.size() == 0) {
                return "1";
            }
            for (int i = 0; i < icoll.size(); i++) {
                KeyedCollection kcoll = (KeyedCollection) icoll.get(i);
                String pointValue = (String) kcoll.get(this.params);
                String ccy = (String) kcoll.get(this.params);
                String consumeDate = (String) kcoll.get(this.params);
                if (!StringUtils.equals(pointValue, "00000000") && !StringUtils.equals(ccy, "000") && !StringUtils.equals(consumeDate, "0000")) {
                    icolln.addDataElement(kcoll);
                }
            }
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    public String getList1() {
        return this.list1;
    }

    public void setList1(String list1) {
        this.list1 = list1;
    }

    public String getList2() {
        return this.list2;
    }

    public void setList2(String list2) {
        this.list2 = list2;
    }

    public String getParams() {
        return this.params;
    }

    public void setParams(String params) {
        this.params = params;
    }
}
